RangeFieldQuery.QueryType (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.document, class: RangeFieldQuery, enum: QueryType

Package org.apache.lucene.document

# Enum Class RangeFieldQuery.QueryType

java.lang.Object
java.lang.Enum<RangeFieldQuery.QueryType>
org.apache.lucene.document.RangeFieldQuery.QueryType

All Implemented Interfaces:
  `Serializable`, `Comparable<RangeFieldQuery.QueryType>`, `Constable`

Enclosing class:
  `RangeFieldQuery`

public static enum RangeFieldQuery.QueryType extends Enum<RangeFieldQuery.QueryType>
Used by `RangeFieldQuery` to check how each internal or leaf node relates to the query.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTAINS`
  Use this for contains
  `CROSSES`
  Use this for crosses queries
  `INTERSECTS`
  Use this for intersects queries.
  `WITHIN`
  Use this for within queries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `matches(byte[] queryPackedValue, byte[] packedValue, int numDims, int bytesPerDim, ArrayUtil.ByteArrayComparator comparator)`
  Compares every dim for 2 encoded ranges and returns true if all dims match.
  `static RangeFieldQuery.QueryType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RangeFieldQuery.QueryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTERSECTS

    public static final RangeFieldQuery.QueryType INTERSECTS
    Use this for intersects queries.

  - ### WITHIN

    public static final RangeFieldQuery.QueryType WITHIN
    Use this for within queries.

  - ### CONTAINS

    public static final RangeFieldQuery.QueryType CONTAINS
    Use this for contains

  - ### CROSSES

    public static final RangeFieldQuery.QueryType CROSSES
    Use this for crosses queries

- ## Method Details

  - ### values

    public static RangeFieldQuery.QueryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RangeFieldQuery.QueryType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### matches

    public boolean matches(byte[] queryPackedValue, byte[] packedValue, int numDims, int bytesPerDim, ArrayUtil.ByteArrayComparator comparator)
    Compares every dim for 2 encoded ranges and returns true if all dims match. Matching implementation is based on the QueryType.